SynapSynapDocs
Hub REST API

Users

The Users operations of the Hub REST API (1 operation).

For BuildersOpen-source podSynap CloudGenerated from Synap-core/backend@c31e261ab (main)
GET
/users/me

Authorization

bearerAuth
headerAuthorizationBearer <API key>

Pod API key (Bearer) issued via /api/hub/setup/agent or pod admin tooling. Browser/web clients may use the X-Session-Token header instead. See GET /api/hub/auth/status to introspect the calling key.

Response Body

Identity

application/json
  1. response
id*string
scopes*array<string>
isAgent*boolean
Example Request
curl -X GET 'https://pod.example.com/api/hub/users/me'
Example Response
{  "id": "string",  "scopes": [    "string"  ],  "isAgent": true}